Package org.apache.cxf.common.util

# Class ProxyHelper

java.lang.Object
org.apache.cxf.common.util.ProxyHelper

public class ProxyHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ProxyClassLoaderCache`
  `proxyClassLoaderCache`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProxyHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `getProxy(ClassLoader loader, Class<?>[] interfaces, InvocationHandler handler)`
  `protected Object`
  `getProxyInternal(ClassLoader loader, Class<?>[] interfaces, InvocationHandler handler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### proxyClassLoaderCache

    protected ProxyClassLoaderCache proxyClassLoaderCache

- ## Constructor Details

  - ### ProxyHelper

    protected ProxyHelper()

- ## Method Details

  - ### getProxyInternal

    protected Object getProxyInternal(ClassLoader loader, Class<?>[] interfaces, InvocationHandler handler)

  - ### getProxy

    public static Object getProxy(ClassLoader loader, Class<?>[] interfaces, InvocationHandler handler)